# signs_base.h File Reference

Base class for signs. More...

`#include "signs_type.h"`
`#include "viewport_type.h"`
`#include "tile_type.h"`
`#include "oldpool.h"`

Go to the source code of this file.

## Data Structures
struct | Sign
## Defines
#define | FOR_ALL_SIGNS_FROM(ss, start) for (ss = GetSign(start); ss != NULL; ss = (ss->index + 1U < GetSignPoolSize()) ? GetSign(ss->index + 1U) : NULL) if (ss->IsValid())
#define | FOR_ALL_SIGNS(ss) FOR_ALL_SIGNS_FROM(ss, 0)
## Functions
static SignID | GetMaxSignIndex ()
static bool | IsValidSignID (uint index)

## Detailed Description

Base class for signs.

Definition in file signs_base.h.